## funitroots 260.72

=== DESCRIPTION ===
Package: fUnitRoots
Version: 260.72
Date: 1997 - 2007
Title: Rmetrics - Trends and Unit Roots
Author: Diethelm Wuertz and many others, see the SOURCE file
Depends: R (>= 2.4.0), urca, fBasics
Maintainer: Diethelm Wuertz and Rmetrics Core Team <Rmetrics-core@r-project.org>
Description: Environment for teaching "Financial Engineering and Computational Finance"
NOTE: SEVERAL PARTS ARE STILL PRELIMINARY AND MAY BE CHANGED IN THE FUTURE.
      THIS TYPICALLY INCLUDES FUNCTION AND ARGUMENT NAMES,
      AS WELL AS DEFAULTS FOR ARGUMENTS AND RETURN VALUES.
LazyLoad: yes
LazyData: yes
License: GPL Version 2 or later
URL: http://www.rmetrics.org 
Packaged: Mon Oct  8 14:08:02 2007; myself

=== inst/unitTests/Makefile ===
PKG=fUnitRoots
TOP=../..
SUITE=doRUnit.R
R=R

all: inst test

inst: # Install package -- but where ?? -- will that be in R_LIBS ?
    cd ${TOP}/..;\
    ${R} CMD INSTALL ${PKG}

test: # Run unit tests
    export RCMDCHECK=FALSE;\
    cd ${TOP}/tests;\
    ${R} --vanilla --slave < ${SUITE}

## funitroots 2100.76

=== DESCRIPTION ===
Package: fUnitRoots
Version: 2100.76
Revision: 4277
Date: 2009-09-28
Title: Trends and Unit Roots
Author: Diethelm Wuertz and many others, see the SOURCE file
Depends: R (>= 2.4.0), urca, methods, timeDate, timeSeries, fBasics
Suggests: RUnit
Maintainer: Rmetrics Core Team <Rmetrics-core@r-project.org>
Description: Environment for teaching "Financial Engineering and
        Computational Finance"
NOTE: SEVERAL PARTS ARE STILL PRELIMINARY AND MAY BE CHANGED IN THE
        FUTURE. THIS TYPICALLY INCLUDES FUNCTION AND ARGUMENT NAMES, AS
        WELL AS DEFAULTS FOR ARGUMENTS AND RETURN VALUES.
LazyLoad: yes
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
Packaged: 2009-09-28 15:21:26 UTC; yankee
Repository: CRAN
Date/Publication: 2009-09-29 18:44:34

## funitroots 3010.78

=== DESCRIPTION ===
Package: fUnitRoots
Version: 3010.78
Revision: 5526
Date: 2013-06-23
Title: Trends and Unit Roots
Author: Diethelm Wuertz and many others, see the SOURCE file
Depends: R (>= 2.4.0), urca, methods, timeDate, timeSeries, fBasics
Suggests: RUnit
Maintainer: Yohan Chalabi <yohan.chalabi@rmetrics.org>
Description: Environment for teaching "Financial Engineering and
        Computational Finance"
Note: Several parts are still preliminary and may be changed in the
        future. this typically includes function and argument names, as
        well as defaults for arguments and return values.
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
Packaged: 2013-06-23 18:22:11 UTC; yohan
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-06-24 01:55:20

=== inst/unitTests/Makefile ===
PKG=fUnitRoots
TOP=../..
SUITE=doRUnit.R
R=R

all: inst test

inst: # Install package -- but where ?? -- will that be in R_LIBS ?
	cd ${TOP}/..;\
	${R} CMD INSTALL ${PKG}

test: # Run unit tests
	export RCMDCHECK=FALSE;\
	cd ${TOP}/tests;\
	${R} --vanilla --slave < ${SUITE}

## funitroots 3042.79

=== DESCRIPTION ===
Package: fUnitRoots
Title: Rmetrics - Modelling Trends and Unit Roots
Date: 2017-11-12
Version: 3042.79
Author: Diethelm Wuertz [aut],
	Tobias Setz [cre],
	Yohan Chalabi [ctb]
Maintainer: Tobias Setz <tobias.setz@live.com>
Description: Provides four addons for analyzing trends and
    unit roots in financial time series: (i) functions for the density
    and probability of the augmented Dickey-Fuller Test, (ii) functions 
    for the density and probability of MacKinnon's unit root test 
    statistics, (iii) reimplementations for the ADF and MacKinnon
    Test, and (iv) an 'urca' Unit Root Test Interface for Pfaff's
    unit root test suite.
Depends: R (>= 2.15.1), timeDate, timeSeries, fBasics
Imports: urca, graphics, methods, stats, utils
Suggests: RUnit
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
NeedsCompilation: yes
Packaged: 2017-11-16 17:28:29 UTC; Tobias Setz
Repository: CRAN
Date/Publication: 2017-11-16 22:42:49 UTC

## funitroots 4021.80

=== DESCRIPTION ===
Package: fUnitRoots
Title: Rmetrics - Modelling Trends and Unit Roots
Date: 2022-07-22
Version: 4021.80
Authors@R: c(person("Diethelm", "Wuertz", role="aut", comment = "original code")
	   , person("Tobias", "Setz", role = c("aut"), email = "tobias.setz@live.com")
	   , person("Yohan", "Chalabi", role = "aut")
	   , person(given = c("Georgi", "N."), family = "Boshnakov", 
                    role = c("cre"), email = "georgi.boshnakov@manchester.ac.uk") )
Description: Provides four addons for analyzing trends and
    unit roots in financial time series: (i) functions for the density
    and probability of the augmented Dickey-Fuller Test, (ii) functions 
    for the density and probability of MacKinnon's unit root test 
    statistics, (iii) reimplementations for the ADF and MacKinnon
    Test, and (iv) an 'urca' Unit Root Test Interface for Pfaff's
    unit root test suite.
Depends: R (>= 2.15.1)
Imports: timeSeries, fBasics, urca, graphics, methods, stats, utils
Suggests: RUnit
License: GPL (>= 2)
URL:
        https://r-forge.r-project.org/scm/viewvc.php/pkg/fUnitRoots/?root=rmetrics
        )devel), https://www.rmetrics.org
BugReports: https://r-forge.r-project.org/projects/rmetrics
NeedsCompilation: yes
Packaged: 2022-08-06 07:34:37 UTC; georgi
Author: Diethelm Wuertz [aut] (original code),
  Tobias Setz [aut],
  Yohan Chalabi [aut],
  Georgi N. Boshnakov [cre]
Maintainer: Georgi N. Boshnakov <georgi.boshnakov@manchester.ac.uk>
Repository: CRAN
Date/Publication: 2022-08-06 14:00:17 UTC

=== debian/changelog ===
funitroots (4021.80-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 06 Aug 2022 09:22:20 -0500

funitroots (3042.79-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 
  * debian/compat: Set level to 9

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 16 Nov 2017 22:05:26 -0600

funitroots (3010.78-3) unstable; urgency=medium

  * Rebuilt under R 3.4.0 to update registration for .C() and .Fortran()
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Add Depends: on ${misc:Depends}

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 04 Jun 2017 12:15:37 -0500

funitroots (3010.78-2) unstable; urgency=medium

  * debian/compat: Created			(Closes: #830437)
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 08 Jul 2016 07:08:05 -0500

funitroots (3010.78-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 23 Jun 2013 19:44:44 -0500

funitroots (2160.77-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 03 Apr 2013 07:12:13 -0500

funitroots (2160.77-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 30 Dec 2012 09:40:49 -0600

funitroots (2100.76-3) unstable; urgency=low

  * Rebuilt using updated version of r-cran-urca	(Closes: #628324)
  * debian/control: Set (Build-)Depends: to "r-cran-urca (>= 1.2-5-2)"

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 08 Jun 2011 05:21:36 -0500

funitroots (2100.76-2) unstable; urgency=low

  * Rebuilt for R 2.10.0 to work with new R-internal help file conversion

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 04 Nov 2009 18:44:55 -0600

funitroots (2100.76-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 30 Sep 2009 19:43:55 -0500

funitroots (290.75-1) unstable; urgency=low

  * New upstream release

  * debian/control: Changed Section: to new section 'gnu-r'
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 3.8.1

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 18 Apr 2009 08:14:19 -0500

funitroots (270.74-1) unstable; urgency=low

  * New upstream release

  * debian/control: Updated (Build-)Depends: and Suggests:
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 27 Oct 2008 21:25:50 -0500

funitroots (260.72-3) unstable; urgency=low

  * debian/control: Tighten (Build-)Depends: on r-cran-robustbase

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 21 Apr 2008 12:09:41 -0500

funitroots (260.72-2) unstable; urgency=low

  * Rebuilding under the current R version
  * debian/control: Updated (Build-)Depends accordingly

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 14 Apr 2008 21:35:01 -0500

funitroots (260.72-1+b1) unstable; urgency=low

  * Rebuilding to aid the gfortran transition, no source or packaging change

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 10 Mar 2008 20:39:06 -0500

funitroots (260.72-1) unstable; urgency=low

  * Initial Debian release of new Rmetrics component package
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 13 Nov 2007 21:28:13 -0600

=== debian/control ===
Source: funitroots
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.1), dh-r, r-cran-fbasics (>= 260.72), r-cran-urca (>= 1.2-5-2), xvfb, xauth, xfonts-base
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/edd/r-cran-funitroots
Vcs-Git: https://salsa.debian.org/edd/r-cran-funitroots.git
Homepage: https://cran.r-project.org/package=fUnitRoots

Package: r-cran-funitroots
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-fbasics (>= 260.72), r-cran-urca (>= 1.2-5-2)
Suggests: r-cran-runit
Description: GNU R package for financial engineering -- fUnitRoots
 This package provides functions for unit root modelling of
 non-stationary time series and is part of Rmetrics, a collection of
 packages for financial engineering and computational finance written
 and compiled by Diethelm Wuertz and others.
 .
 fUnitRoots provides modelling functions for non-stationary time series.

## funitroots 4040.81

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Package: fUnitRoots
 Title: Rmetrics - Modelling Trends and Unit Roots
-Date: 2022-07-22
-Version: 4021.80
+Version: 4040.81
 Authors@R: c(person("Diethelm", "Wuertz", role="aut", comment = "original code")
 	   , person("Tobias", "Setz", role = c("aut"), email = "tobias.setz@live.com")
 	   , person("Yohan", "Chalabi", role = "aut")
@@ -20,14 +19,14 @@
 License: GPL (>= 2)
 URL:
         https://r-forge.r-project.org/scm/viewvc.php/pkg/fUnitRoots/?root=rmetrics
-        )devel), https://www.rmetrics.org
+        (devel), https://www.rmetrics.org
 BugReports: https://r-forge.r-project.org/projects/rmetrics
 NeedsCompilation: yes
-Packaged: 2022-08-06 07:34:37 UTC; georgi
+Packaged: 2024-05-14 17:14:37 UTC; Georgi
 Author: Diethelm Wuertz [aut] (original code),
   Tobias Setz [aut],
   Yohan Chalabi [aut],
   Georgi N. Boshnakov [cre]
 Maintainer: Georgi N. Boshnakov <georgi.boshnakov@manchester.ac.uk>
 Repository: CRAN
-Date/Publication: 2022-08-06 14:00:17 UTC
+Date/Publication: 2024-05-15 08:50:17 UTC

=== debian/changelog ===
funitroots (4040.81-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 15 May 2024 10:28:10 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.1), dh-r, r-cran-fbasics (>= 260.72), r-cran-urca (>= 1.2-5-2), xvfb, xauth, xfonts-base
-Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.0), dh-r, r-cran-fbasics (>= 260.72), r-cran-urca (>= 1.2-5-2), xvfb, xauth, xfonts-base
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-funitroots
 Vcs-Git: https://salsa.debian.org/edd/r-cran-funitroots.git
 Homepage: https://cran.r-project.org/package=fUnitRoots

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-funitroots package
# Copyright 2003-2007 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

=== debian/watch ===
version=3
https://cran.r-project.org/src/contrib/fUnitRoots_([-\d\.]*)\.tar.gz

## funitroots 4052.82

=== DESCRIPTION ===
Package: fUnitRoots
Title: Rmetrics - Modelling Trends and Unit Roots
Version: 4052.82
Authors@R: c(person("Diethelm", "Wuertz", role="aut", comment = "original code")
	   , person("Tobias", "Setz", role = c("aut"), email = "tobias.setz@live.com")
	   , person("Yohan", "Chalabi", role = "aut")
	   , person(given = c("Georgi", "N."), family = "Boshnakov", 
                    role = c("cre"), email = "georgi.boshnakov@manchester.ac.uk",
		    comment = c(ORCID = "0000-0003-2839-346X")) )
Description: Provides four addons for analyzing trends and
    unit roots in financial time series: (i) functions for the density
    and probability of the augmented Dickey-Fuller Test, (ii) functions 
    for the density and probability of MacKinnon's unit root test 
    statistics, (iii) reimplementations for the ADF and MacKinnon
    Test, and (iv) an 'urca' Unit Root Test Interface for Pfaff's
    unit root test suite.
Depends: R (>= 2.15.1)
Imports: timeSeries, fBasics, urca, graphics, methods, stats, utils
Suggests: RUnit, interp
License: GPL (>= 2)
URL: https://geobosh.github.io/fUnitRootsDoc/ (doc),
        https://CRAN.R-project.org/package=fUnitRoots,
        https://www.rmetrics.org
BugReports: https://r-forge.r-project.org/tracker/?atid=633&group_id=156&func=browse
NeedsCompilation: yes
Packaged: 2025-12-19 11:27:34 UTC; georgi
Author: Diethelm Wuertz [aut] (original code),
  Tobias Setz [aut],
  Yohan Chalabi [aut],
  Georgi N. Boshnakov [cre] (ORCID:
    <https://orcid.org/0000-0003-2839-346X>)
Maintainer: Georgi N. Boshnakov <georgi.boshnakov@manchester.ac.uk>
Repository: CRAN
Date/Publication: 2025-12-19 13:50:14 UTC

=== debian/changelog ===
funitroots (4052.82-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 19 Dec 2025 08:08:16 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.0), dh-r, r-cran-fbasics (>= 260.72), r-cran-urca (>= 1.2-5-2), xvfb, xauth, xfonts-base
-Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.2), dh-r, r-cran-fbasics (>= 260.72), r-cran-urca (>= 1.2-5-2), xvfb, xauth, xfonts-base
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-funitroots
 Vcs-Git: https://salsa.debian.org/edd/r-cran-funitroots.git
 Homepage: https://cran.r-project.org/package=fUnitRoots
